Moderate CentOS subversion Security Update

Metadata

medium
5.0
mod_dav_svn-1.7.14-7.el7_0.x86_64.rpm, subversion-1.7.14-7.el7_0.i686.rpm, subversion-1.7.14-7.el7_0.src.rpm, subversion-1.7.14-7.el7_0.x86_64.rpm, subversion-devel-1.7.14-7.el7_0.i686.rpm, subversion-devel-1.7.14-7.el7_0.x86_64.rpm, subversion-gnome-1.7.14-7.el7_0.i686.rpm, subversion-gnome-1.7.14-7.el7_0.x86_64.rpm, subversion-javahl-1.7.14-7.el7_0.i686.rpm, subversion-javahl-1.7.14-7.el7_0.x86_64.rpm, subversion-kde-1.7.14-7.el7_0.i686.rpm, subversion-kde-1.7.14-7.el7_0.x86_64.rpm, subversion-libs-1.7.14-7.el7_0.i686.rpm, subversion-libs-1.7.14-7.el7_0.x86_64.rpm, subversion-perl-1.7.14-7.el7_0.i686.rpm, subversion-perl-1.7.14-7.el7_0.x86_64.rpm, subversion-python-1.7.14-7.el7_0.x86_64.rpm, subversion-ruby-1.7.14-7.el7_0.i686.rpm, subversion-ruby-1.7.14-7.el7_0.x86_64.rpm, subversion-tools-1.7.14-7.el7_0.x86_64.rpm
CVE-2014-3528, CVE-2014-3580, CVE-2014-8108
rhn.redhat.com, lists.centos.org
2015-02-11
2017-07-27 19:08
ALAS-2015-555
Moderate CentOS subversion Security Update
CVE-2014-8108 subversion
CVE-2014-3580 subversion
CVE-2014-3528 subversion
CVE-2014-3528
CVE-2014-3580
CVE-2014-8108
2017-04-01 19:08
2017-01-05 20:12

Description


Updated subversion packages that fix three security issues are now
available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having Moderate security
impact. Common Vulnerability Scoring System (CVSS) base scores, which give
detailed severity ratings, are available for each vulnerability from the
CVE links in the References section.

Subversion (SVN) is a concurrent version control system which enables one
or more users to collaborate in developing and maintaining a hierarchy of
files and directories while keeping a history of all changes. The
mod_dav_svn module is used with the Apache HTTP Server to allow access
to Subversion repositories via HTTP.

A NULL pointer dereference flaw was found in the way the mod_dav_svn module
handled REPORT requests. A remote, unauthenticated attacker could use a
specially crafted REPORT request to crash mod_dav_svn. (CVE-2014-3580)

A NULL pointer dereference flaw was found in the way the mod_dav_svn module
handled certain requests for URIs that trigger a lookup of a virtual
transaction name. A remote, unauthenticated attacker could send a request
for a virtual transaction name that does not exist, causing mod_dav_svn to
crash. (CVE-2014-8108)

It was discovered that Subversion clients retrieved cached authentication
credentials using the MD5 hash of the server realm string without also
checking the server's URL. A malicious server able to provide a realm that
triggers an MD5 collision could possibly use this flaw to obtain the
credentials for a different realm. (CVE-2014-3528)

Red Hat would like to thank the Subversion project for reporting
CVE-2014-3580 and CVE-2014-8108. Upstream acknowledges Evgeny Kotkov of
VisualSVN as the original reporter.

All subversion users should upgrade to these updated packages, which
contain backported patches to correct these issues. After installing the
updated packages, for the update to take effect, you must restart the httpd
daemon, if you are using mod_dav_svn, and the svnserve daemon, if you are
serving Subversion repositories via the svn:// protocol.
Please see https://www.redhat.com/footer/terms-of-use.html

Am I vulnerable?

The constraints below list the versions that this vulnerability is patched in, and versions that are unaffected. If a patch is ready but unrealeased, then it is pending.

Or, you can just let us figure it out for you! Appcanary continously monitor your installed packages, and tell you if any of them are vulnerable.

Sign up for monitoring

Affected package information

Release Package Patched in
7 mod_dav_svn mod_dav_svn-1.7.14-7.el7_0.x86_64.rpm
subversion subversion-1.7.14-7.el7_0.i686.rpm
subversion subversion-1.7.14-7.el7_0.src.rpm
subversion subversion-1.7.14-7.el7_0.x86_64.rpm
subversion-devel subversion-devel-1.7.14-7.el7_0.i686.rpm
subversion-devel subversion-devel-1.7.14-7.el7_0.x86_64.rpm
subversion-gnome subversion-gnome-1.7.14-7.el7_0.i686.rpm
subversion-gnome subversion-gnome-1.7.14-7.el7_0.x86_64.rpm
subversion-javahl subversion-javahl-1.7.14-7.el7_0.i686.rpm
subversion-javahl subversion-javahl-1.7.14-7.el7_0.x86_64.rpm
subversion-kde subversion-kde-1.7.14-7.el7_0.i686.rpm
subversion-kde subversion-kde-1.7.14-7.el7_0.x86_64.rpm
subversion-libs subversion-libs-1.7.14-7.el7_0.i686.rpm
subversion-libs subversion-libs-1.7.14-7.el7_0.x86_64.rpm
subversion-perl subversion-perl-1.7.14-7.el7_0.i686.rpm
subversion-perl subversion-perl-1.7.14-7.el7_0.x86_64.rpm
subversion-python subversion-python-1.7.14-7.el7_0.x86_64.rpm
subversion-ruby subversion-ruby-1.7.14-7.el7_0.i686.rpm
subversion-ruby subversion-ruby-1.7.14-7.el7_0.x86_64.rpm
subversion-tools subversion-tools-1.7.14-7.el7_0.x86_64.rpm